Package com.independentsoft.office.word.headerFooter

# Class Footer

java.lang.Object
com.independentsoft.office.word.headerFooter.Footer

public class Footer extends Object
The Class Footer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Footer()`
  Instantiates a new footer.
  `Footer​(byte[] buffer, Relationship relationship)`
  Instantiates a new footer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IBlockElement contentElement)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `Footer`
  `clone()`
  `List<IBlockElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  Gets the content elements.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the footer root, or `null` if absent.
  `HeaderFooterType`
  `getType()`
  Gets the type.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the footer root.
  `void`
  `setType​(HeaderFooterType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Footer

    public Footer()
    Instantiates a new footer.

  - ### Footer

    public Footer​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new footer.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(IBlockElement contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Gets the content elements.
    Returns:
      the content elements

  - ### clone

    public Footer clone()
    Overrides:
      `clone` in class `Object`

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the footer root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the footer root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IBlockElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getType

    public HeaderFooterType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(HeaderFooterType type)
    Sets the type.
    Parameters:
      `type` - the new type